seed: 1

type: render

data:
  image_size: [128, 128]

renderer:
  type: volume
  chunk_size: 4096

sampler:
  type: stratified
  n_pts_per_ray: 16
  min_depth: 0.0
  max_depth: 5.0

implicit_function:
  type: sdf_volume

  sdf:
    type: box

    side_lengths:
      val: [1.75, 1.75, 1.75]
      opt: False

    center:
      val: [0.0, 0.0, 0.0]
      opt: True

  feature:
    rainbow: True
    val: [1.0, 1.0, 1.0]
    opt: False

  alpha:
    val: 1.0
    opt: False

  beta:
    val: 0.05
    opt: False

